/*
 * MyJFrame.java
 *
 * Created on 11 de marzo de 2005, 12:50
 */

package learningbom;

import java.awt.Dimension;
import java.awt.Rectangle;
import java.awt.Toolkit;
import java.net.URL;
import javax.swing.ImageIcon;
import showHTML.PatchedHTMLEditorKit;
import showHTML.SimpleLinkListener;



/**
 *
 * @author  Alejandro Touza Paredes
 */
public class LearningBOM extends javax.swing.JFrame {
    
    /** Creates new form MyJFrame */
    public LearningBOM(){
       
        setIconImage(Resources.createImageIcon("/images/icons/IconoPrograma.gif").getImage());
        initComponentsPropio();
                
        jTabbedPaneLBOM.setIconAt(0, Resources.createImageIcon("/images/icons/factorOracleIcon.gif"));
        jTabbedPaneLBOM.setIconAt(1, Resources.createImageIcon("/images/icons/BOMIcon.gif"));
        jTabbedPaneLBOM.setIconAt(2, Resources.createImageIcon("/images/icons/factorOracleIcon.gif"));
        jTabbedPaneLBOM.setIconAt(3, Resources.createImageIcon("/images/icons/acercaDe.gif"));
        
        Resources.addHTML(jEditorPaneOracle, "/html/factorOracle.html");
        Resources.addHTML(jEditorPaneBOM,    "/html/BOM.html");
        Resources.addHTML(jEditorPaneOracleMultiple, "/html/factorOracle.html");
        Resources.addHTML(jEditorPaneAbout,  "/html/acercaDe.html");
        
        this.setSize(600, 450);
        this.setVisible(true);
    }
    
 
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     * pack() es para reducir la ventana al tamao de sus componentes
     */
    private void initComponents() {//GEN-BEGIN:initComponents
        java.awt.GridBagConstraints gridBagConstraints;

        jTabbedPaneLBOM = new javax.swing.JTabbedPane();
        jPanelOracle = new javax.swing.JPanel();
        jScrollPaneOracle = new javax.swing.JScrollPane();
        jEditorPaneOracle = new javax.swing.JEditorPane();
        jPanel1 = new javax.swing.JPanel();
        jButtonStartOracle = new javax.swing.JButton();
        jButtonHomePageOracle = new javax.swing.JButton();
        jButtonJavaCode = new javax.swing.JButton();
        jButtonHelpOracle = new javax.swing.JButton();
        jPanelBOM = new javax.swing.JPanel();
        jScrollPaneBOM = new javax.swing.JScrollPane();
        jEditorPaneBOM = new javax.swing.JEditorPane();
        jPanel2 = new javax.swing.JPanel();
        jButtonStartBOM = new javax.swing.JButton();
        jButtonHelpBOM = new javax.swing.JButton();
        jButtonHomePageBOM = new javax.swing.JButton();
        jPanelOracleMultiple = new javax.swing.JPanel();
        jScrollPaneOracleMultiple = new javax.swing.JScrollPane();
        jEditorPaneOracleMultiple = new javax.swing.JEditorPane();
        jPanel4 = new javax.swing.JPanel();
        jButtonStartOracleMultiple = new javax.swing.JButton();
        jButtonHomePageOracleMultiple = new javax.swing.JButton();
        jButtonJavaCodeOracleMultiple = new javax.swing.JButton();
        jButtonHelpOracleMultiple = new javax.swing.JButton();
        jPanelAbout = new javax.swing.JPanel();
        jScrollPaneAbout = new javax.swing.JScrollPane();
        jEditorPaneAbout = new javax.swing.JEditorPane();
        jPanel3 = new javax.swing.JPanel();
        jButtonStartAbout = new javax.swing.JButton();
        jButtonHelpAbout = new javax.swing.JButton();
        jButtonHomePageAbout = new javax.swing.JButton();
        jMenuBarMain = new javax.swing.JMenuBar();
        jMenuStart = new javax.swing.JMenu();
        jMenuItemOracle = new javax.swing.JMenuItem();
        jMenuItemBOM = new javax.swing.JMenuItem();
        jMenuItemOracleMultiple = new javax.swing.JMenuItem();
        jMenuHelp = new javax.swing.JMenu();
        jMenuItemGeneralHelp = new javax.swing.JMenuItem();
        jSeparator1 = new javax.swing.JSeparator();
        jMenuItemAbout = new javax.swing.JMenuItem();

        getContentPane().setLayout(new java.awt.GridLayout(1, 1, 50, 50));

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Learning BOM");
        setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        setFont(new java.awt.Font("Arial", 0, 12));
        setForeground(new java.awt.Color(0, 0, 0));
        setMaximizedBounds(new Rectangle(0,0,(int)Toolkit.getDefaultToolkit().getScreenSize().getWidth(), (int)Toolkit.getDefaultToolkit().getScreenSize().getHeight()));
        setName("JframePrincipal");
        getAccessibleContext().setAccessibleName("Learning BOM 2005");
        jTabbedPaneLBOM.setBorder(new javax.swing.border.TitledBorder(" LBOM (Learning BOM ) 2005 "));
        jTabbedPaneLBOM.setMinimumSize(new java.awt.Dimension(60, 60));
        jTabbedPaneLBOM.setName("BOM");
        jTabbedPaneLBOM.setRequestFocusEnabled(false);
        jPanelOracle.setLayout(new java.awt.GridBagLayout());

        jPanelOracle.setBorder(new javax.swing.border.TitledBorder(null, " Factor Oracle ", javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("Tahoma", 1, 14)));
        jPanelOracle.setFont(new java.awt.Font("MS Sans Serif", 0, 12));
        jScrollPaneOracle.setVerticalScrollBarPolicy(javax.swing.JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);
        jEditorPaneOracle.setEditable(false);
        jScrollPaneOracle.setViewportView(jEditorPaneOracle);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.ipadx = 447;
        gridBagConstraints.ipady = 217;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.weighty = 1.0;
        gridBagConstraints.insets = new java.awt.Insets(6, 10, 0, 9);
        jPanelOracle.add(jScrollPaneOracle, gridBagConstraints);

        jButtonStartOracle.setText("Empezar");
        jButtonStartOracle.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonStartOracleActionPerformed(evt);
            }
        });

        jPanel1.add(jButtonStartOracle);

        jButtonHomePageOracle.setText("Inicio");
        jButtonHomePageOracle.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonHomePageOracleActionPerformed(evt);
            }
        });

        jPanel1.add(jButtonHomePageOracle);

        jButtonJavaCode.setText("JavaCode");
        jButtonJavaCode.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonJavaCodeActionPerformed(evt);
            }
        });

        jPanel1.add(jButtonJavaCode);

        jButtonHelpOracle.setText("Ayuda");
        jButtonHelpOracle.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonHelpOracleActionPerformed(evt);
            }
        });

        jPanel1.add(jButtonHelpOracle);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.ipadx = 5;
        gridBagConstraints.ipady = 7;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(11, 10, 7, 9);
        jPanelOracle.add(jPanel1, gridBagConstraints);

        jTabbedPaneLBOM.addTab("Oracle", jPanelOracle);

        jPanelBOM.setLayout(new java.awt.GridBagLayout());

        jPanelBOM.setBorder(new javax.swing.border.TitledBorder(null, " BOM (Backwards Oracle Matching) ", javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("Tahoma", 1, 14)));
        jPanelBOM.setFont(new java.awt.Font("MS Sans Serif", 0, 12));
        jScrollPaneBOM.setVerticalScrollBarPolicy(javax.swing.JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);
        jEditorPaneBOM.setEditable(false);
        jScrollPaneBOM.setViewportView(jEditorPaneBOM);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.ipadx = 447;
        gridBagConstraints.ipady = 217;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.weighty = 1.0;
        gridBagConstraints.insets = new java.awt.Insets(6, 10, 0, 9);
        jPanelBOM.add(jScrollPaneBOM, gridBagConstraints);

        jButtonStartBOM.setText("Empezar");
        jButtonStartBOM.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonStartBOMActionPerformed(evt);
            }
        });

        jPanel2.add(jButtonStartBOM);

        jButtonHelpBOM.setText("Ayuda");
        jPanel2.add(jButtonHelpBOM);

        jButtonHomePageBOM.setText("Volver a inicio");
        jPanel2.add(jButtonHomePageBOM);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.ipadx = 5;
        gridBagConstraints.ipady = 7;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(11, 10, 7, 9);
        jPanelBOM.add(jPanel2, gridBagConstraints);

        jTabbedPaneLBOM.addTab("BOM", jPanelBOM);

        jPanelOracleMultiple.setLayout(new java.awt.GridBagLayout());

        jPanelOracleMultiple.setBorder(new javax.swing.border.TitledBorder(null, " Factor Oracle M\u00faltiple", javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("Tahoma", 1, 14)));
        jPanelOracleMultiple.setFont(new java.awt.Font("MS Sans Serif", 0, 12));
        jScrollPaneOracleMultiple.setVerticalScrollBarPolicy(javax.swing.JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);
        jEditorPaneOracleMultiple.setEditable(false);
        jScrollPaneOracleMultiple.setViewportView(jEditorPaneOracleMultiple);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.ipadx = 447;
        gridBagConstraints.ipady = 217;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.weighty = 1.0;
        gridBagConstraints.insets = new java.awt.Insets(6, 10, 0, 9);
        jPanelOracleMultiple.add(jScrollPaneOracleMultiple, gridBagConstraints);

        jButtonStartOracleMultiple.setText("Empezar");
        jButtonStartOracleMultiple.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonStartOracleMultipleActionPerformed(evt);
            }
        });

        jPanel4.add(jButtonStartOracleMultiple);

        jButtonHomePageOracleMultiple.setText("Inicio");
        jPanel4.add(jButtonHomePageOracleMultiple);

        jButtonJavaCodeOracleMultiple.setText("JavaCode");
        jPanel4.add(jButtonJavaCodeOracleMultiple);

        jButtonHelpOracleMultiple.setText("Ayuda");
        jPanel4.add(jButtonHelpOracleMultiple);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.ipadx = 5;
        gridBagConstraints.ipady = 7;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(11, 10, 7, 9);
        jPanelOracleMultiple.add(jPanel4, gridBagConstraints);

        jTabbedPaneLBOM.addTab("Oracle Multiple", jPanelOracleMultiple);
        jPanelOracleMultiple.getAccessibleContext().setAccessibleName(" Factor Oracle Multiple ");

        jPanelAbout.setLayout(new java.awt.GridBagLayout());

        jPanelAbout.setBorder(new javax.swing.border.TitledBorder(null, " Acerca de... ", javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("Tahoma", 1, 14)));
        jPanelAbout.setFont(new java.awt.Font("MS Sans Serif", 0, 12));
        jScrollPaneAbout.setVerticalScrollBarPolicy(javax.swing.JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);
        jEditorPaneAbout.setEditable(false);
        jScrollPaneAbout.setViewportView(jEditorPaneAbout);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.ipadx = 447;
        gridBagConstraints.ipady = 217;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.weighty = 1.0;
        gridBagConstraints.insets = new java.awt.Insets(6, 10, 0, 9);
        jPanelAbout.add(jScrollPaneAbout, gridBagConstraints);

        jButtonStartAbout.setText("Empezar");
        jPanel3.add(jButtonStartAbout);

        jButtonHelpAbout.setText("Ayuda");
        jPanel3.add(jButtonHelpAbout);

        jButtonHomePageAbout.setText("Volver a inicio");
        jPanel3.add(jButtonHomePageAbout);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.ipadx = 5;
        gridBagConstraints.ipady = 7;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(11, 10, 7, 9);
        jPanelAbout.add(jPanel3, gridBagConstraints);

        jTabbedPaneLBOM.addTab("Acerca de", jPanelAbout);
        jPanelAbout.getAccessibleContext().setAccessibleName("Acerca de");

        getContentPane().add(jTabbedPaneLBOM);
        jTabbedPaneLBOM.getAccessibleContext().setAccessibleName("LBOM");

        jMenuBarMain.setBackground(javax.swing.UIManager.getDefaults().getColor("MenuBar.background"));
        jMenuBarMain.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 0)));
        jMenuStart.setBackground(javax.swing.UIManager.getDefaults().getColor("Button.background"));
        jMenuStart.setText("Algoritmos");
        jMenuStart.setDelay(0);
        jMenuStart.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuStartActionPerformed(evt);
            }
        });

        jMenuItemOracle.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_1, java.awt.event.InputEvent.ALT_MASK));
        jMenuItemOracle.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/icons/factorOracleIcon.gif")));
        jMenuItemOracle.setText("Factor Oracle");
        jMenuItemOracle.setBorder(null);
        jMenuItemOracle.setMargin(new java.awt.Insets(0, 2, 0, 2));
        jMenuItemOracle.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItemOracleActionPerformed(evt);
            }
        });

        jMenuStart.add(jMenuItemOracle);

        jMenuItemBOM.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_2, java.awt.event.InputEvent.ALT_MASK));
        jMenuItemBOM.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/icons/BOMIcon.gif")));
        jMenuItemBOM.setText("BOM");
        jMenuItemBOM.setBorder(null);
        jMenuItemBOM.setMargin(new java.awt.Insets(0, 2, 0, 2));
        jMenuItemBOM.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItemBOMActionPerformed(evt);
            }
        });

        jMenuStart.add(jMenuItemBOM);

        jMenuItemOracleMultiple.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_3, java.awt.event.InputEvent.ALT_MASK));
        jMenuItemOracleMultiple.setText("Factor Oracle Multiple");
        jMenuItemOracleMultiple.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItemOracleMultipleActionPerformed(evt);
            }
        });

        jMenuStart.add(jMenuItemOracleMultiple);

        jMenuBarMain.add(jMenuStart);

        jMenuHelp.setBackground(javax.swing.UIManager.getDefaults().getColor("Button.background"));
        jMenuHelp.setMnemonic('M');
        jMenuHelp.setText("Ayuda");
        jMenuHelp.setDelay(0);
        jMenuItemGeneralHelp.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_H, java.awt.event.InputEvent.ALT_MASK));
        jMenuItemGeneralHelp.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/icons/helpIcon.gif")));
        jMenuItemGeneralHelp.setText("Ayuda General");
        jMenuItemGeneralHelp.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItemGeneralHelpActionPerformed(evt);
            }
        });

        jMenuHelp.add(jMenuItemGeneralHelp);

        jMenuHelp.add(jSeparator1);

        jMenuItemAbout.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/icons/acercaDe.gif")));
        jMenuItemAbout.setText("Acerca De");
        jMenuHelp.add(jMenuItemAbout);

        jMenuBarMain.add(jMenuHelp);

        setJMenuBar(jMenuBarMain);

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-600)/2, (screenSize.height-453)/2, 600, 453);
    }//GEN-END:initComponents

    private void jMenuItemOracleMultipleActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItemOracleMultipleActionPerformed
        new ConsoleOracleMultiple();
    }//GEN-LAST:event_jMenuItemOracleMultipleActionPerformed

    private void jButtonStartOracleMultipleActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonStartOracleMultipleActionPerformed
        new ConsoleOracleMultiple();
    }//GEN-LAST:event_jButtonStartOracleMultipleActionPerformed

    private void jMenuStartActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuStartActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jMenuStartActionPerformed

    private void jMenuItemBOMActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItemBOMActionPerformed
        new ConsoleBOM();
    }//GEN-LAST:event_jMenuItemBOMActionPerformed

    private void jButtonStartBOMActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonStartBOMActionPerformed
        new ConsoleBOM();
    }//GEN-LAST:event_jButtonStartBOMActionPerformed

    private void jMenuItemGeneralHelpActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItemGeneralHelpActionPerformed
        // TODO add your handling code here:
        new TreeDemo().createAndShowGUI();
    }//GEN-LAST:event_jMenuItemGeneralHelpActionPerformed

    private void jButtonJavaCodeActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonJavaCodeActionPerformed
        Resources.addHTML(jEditorPaneOracle, "/html/codigoFactorOracle.html");
    }//GEN-LAST:event_jButtonJavaCodeActionPerformed

    private void jMenuItemOracleActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItemOracleActionPerformed
        new ConsoleOracle();
    }//GEN-LAST:event_jMenuItemOracleActionPerformed

    private void jButtonHelpOracleActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonHelpOracleActionPerformed
        Resources.addHTML(jEditorPaneOracle, "/html/ayudaFactorOracle.html");
    }//GEN-LAST:event_jButtonHelpOracleActionPerformed

    private void jButtonHomePageOracleActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonHomePageOracleActionPerformed
        Resources.addHTML(jEditorPaneOracle, "/html/factorOracle.html");
    }//GEN-LAST:event_jButtonHomePageOracleActionPerformed

    private void jButtonStartOracleActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonStartOracleActionPerformed
        new ConsoleOracle();
    }//GEN-LAST:event_jButtonStartOracleActionPerformed
    
      private void initComponentsPropio() {
        
        initComponents();
        setSize(new Dimension(600,400));
    }
    
    /**
    
    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new LearningBOM().setVisible(true);
            }
        });
    }
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButtonHelpAbout;
    private javax.swing.JButton jButtonHelpBOM;
    private javax.swing.JButton jButtonHelpOracle;
    private javax.swing.JButton jButtonHelpOracleMultiple;
    private javax.swing.JButton jButtonHomePageAbout;
    private javax.swing.JButton jButtonHomePageBOM;
    private javax.swing.JButton jButtonHomePageOracle;
    private javax.swing.JButton jButtonHomePageOracleMultiple;
    private javax.swing.JButton jButtonJavaCode;
    private javax.swing.JButton jButtonJavaCodeOracleMultiple;
    private javax.swing.JButton jButtonStartAbout;
    private javax.swing.JButton jButtonStartBOM;
    private javax.swing.JButton jButtonStartOracle;
    private javax.swing.JButton jButtonStartOracleMultiple;
    private javax.swing.JEditorPane jEditorPaneAbout;
    private javax.swing.JEditorPane jEditorPaneBOM;
    private javax.swing.JEditorPane jEditorPaneOracle;
    private javax.swing.JEditorPane jEditorPaneOracleMultiple;
    private javax.swing.JMenuBar jMenuBarMain;
    private javax.swing.JMenu jMenuHelp;
    private javax.swing.JMenuItem jMenuItemAbout;
    private javax.swing.JMenuItem jMenuItemBOM;
    private javax.swing.JMenuItem jMenuItemGeneralHelp;
    private javax.swing.JMenuItem jMenuItemOracle;
    private javax.swing.JMenuItem jMenuItemOracleMultiple;
    private javax.swing.JMenu jMenuStart;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JPanel jPanel4;
    private javax.swing.JPanel jPanelAbout;
    private javax.swing.JPanel jPanelBOM;
    private javax.swing.JPanel jPanelOracle;
    private javax.swing.JPanel jPanelOracleMultiple;
    private javax.swing.JScrollPane jScrollPaneAbout;
    private javax.swing.JScrollPane jScrollPaneBOM;
    private javax.swing.JScrollPane jScrollPaneOracle;
    private javax.swing.JScrollPane jScrollPaneOracleMultiple;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JTabbedPane jTabbedPaneLBOM;
    // End of variables declaration//GEN-END:variables
    
}
