/*
 * MyCanvas.java
 *
 * Created on 12 de marzo de 2005, 14:05
 */

package learningbom;

import java.awt.Canvas;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Image;
import java.awt.Toolkit;
import java.awt.event.ComponentEvent;
import java.awt.event.ComponentListener;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.awt.event.MouseMotionListener;
import java.awt.image.BufferStrategy;
import java.awt.image.BufferedImage;
import javax.swing.JFrame;
import javax.swing.JPanel;

/**
 *
 * @author Alejandro Touza Paredes
 *
 */

public abstract class MyCanvas extends Canvas{
    
   //Variables del canvas
   protected Graphics2D g2d;
   protected BufferStrategy strategy;
   protected boolean start;
   protected JPanel panel;
 
   /** Crea una nueva instancia de MyCanvas. El canvas tendr el tamao 
     *  del JPanel proporcionado.
     *  @param jpanel Panel donde se insertar MyCanvas. */
   public MyCanvas(JPanel jpanel) {
        
        jpanel.add(this); //aadimos el canvas al panel
        setBounds(0,0,jpanel.getWidth(),jpanel.getHeight());
        
        /*//creamos 2 buffers (Front Buffer(display) Back Buffer(rendering))
        createBufferStrategy(2);
        //tenemos los 2 buffers en estrategia
        strategy = getBufferStrategy();
        g2d = (Graphics2D)strategy.getDrawGraphics();*/
   }
   /** Realiza un resize del Canvas para adaptarlo al tamao de la ventana */
   private void resizeMyCanvas(Dimension d){
       
       setBounds(0,0,d.width,d.height); //contenido por el frame
       
       /*createBufferStrategy(2);
       strategy = getBufferStrategy();
       g2d = (Graphics2D)strategy.getDrawGraphics();*/
   }
   
   /** Pinta todo el Canvas con el color de fondo indicado por c. */ 
   protected void cleanBackground(Color c){
        
        g2d.setBackground(c);
        g2d.clearRect(this.getX(),this.getY(),this.getWidth(),this.getHeight());
   }
   
   protected boolean isStarted(){
       
       return start;
   }
   /** Aade todos los listners con el comportamiento por defecto. */
   public void setDefaultListeners(JFrame jframe, JPanel jpanel){
        
        //Guardamos el JPanel para las dimensiones en el resize
        panel = jpanel;
        
        //Cogemos el evento de resize del JFrame
        jframe.addComponentListener(new ComponentListener(){
           public void componentShown(ComponentEvent evt){} 
           public void componentResized(ComponentEvent evt){componentResizedEvent(evt);}
           public void componentMoved(ComponentEvent evt){} 
           public void componentHidden(ComponentEvent evt){} 
        });
        // Aadimos los eventos de ratn necesarios para mover el Canvas
        this.addMouseMotionListener(new MouseMotionListener() {
            public void mouseDragged(MouseEvent evt) {mouseDraggedEvent(evt);}
            public void mouseMoved(MouseEvent evt) {}
        });
        // Comprobamos que hacer cada vez que se aprieta/suelta algun botn del ratn 
        this.addMouseListener(new MouseListener() {
            public void mouseClicked(MouseEvent evt) {}
            public void mousePressed(MouseEvent evt) {mousePressedEvent(evt);}
            public void mouseReleased(MouseEvent evt) {mouseReleasedEvent(evt);}
            public void mouseEntered(MouseEvent evt) {}
            public void mouseExited(MouseEvent evt) {}
        });
    }
   //////////////////////////////////////////////////////////////////////////////////
   // EVENTOS DE RATN
   protected void mousePressedEvent(MouseEvent evt){}
   protected void mouseReleasedEvent(MouseEvent evt){}
   protected void mouseDraggedEvent(MouseEvent evt){}
   //////////////////////////////////////////////////////////////////////////////////
   // EVENTOS DE COMPONENTES
   protected void componentResizedEvent(java.awt.event.ComponentEvent evt){
        
       resizeMyCanvas(panel.getSize()); 
       
    }

   public void repaint(){
        
        update(g2d);
   }
   public void update(Graphics g) {
        
       paint(g);
   }
   public abstract void paint(Graphics g);
} 

